/// IMATH.h
#ifndef _IMATH_H
#define _IMATH_H

#undef INTERFACE
#define INTERFACE   IMath

DECLARE_INTERFACE_(IMath, IUnknown)
{
    // *** IUnknown methods ***
    STDMETHOD(QueryInterface) (THIS_ REFIID riid, LPVOID FAR* ppvObj) PURE;
    STDMETHOD_(ULONG,AddRef) (THIS)  PURE;
    STDMETHOD_(ULONG,Release) (THIS) PURE;

    // *** IMath methods ***
    STDMETHOD(Add) (THIS_ INT, INT, LPLONG) PURE;
    STDMETHOD(Subtract) (THIS_ INT, INT, LPLONG) PURE;
};

typedef IMath FAR *LPMATH;

//06812840-46e9-11ce-aeff-e798a8721416
DEFINE_GUID(IID_IMath,   0x06812840L, 0x46e9, 0x11ce, 0xae, 0xff, 0xe7,
0x98, 0xa8, 0x72, 0x14, 0x16);

#endif
