// comath.cpp : implementation file
//

#include "stdafx.h"
#include "mathsrvr.h"
#include "comath.h"
#include "comathex.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CoMathEx

IMPLEMENT_DYNCREATE(CoMathEx, CoMath)

CoMathEx::CoMathEx()
{
	EnableAutomation();
	
	// To keep the application running as long as an OLE automation 
	//	object is active, the constructor calls AfxOleLockApp.
	
	AfxOleLockApp();
}

CoMathEx::~CoMathEx()
{
	// To terminate the application when all objects created with
	// 	with OLE automation, the destructor calls AfxOleUnlockApp.
	
	AfxOleUnlockApp();
}

void CoMathEx::OnFinalRelease()
{
	// When the last reference for an automation object is released
	//	OnFinalRelease is called.  This implementation deletes the 
	//	object.  Add additional cleanup required for your object before
	//	deleting it from memory.

	delete this;
}


BEGIN_MESSAGE_MAP(CoMathEx, CoMath)
	//{{AFX_MSG_MAP(CoMathEx)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BEGIN_DISPATCH_MAP(CoMathEx, CoMath)
	//{{AFX_DISPATCH_MAP(CoMathEx)
	DISP_FUNCTION(CoMathEx, "Multiply", Multiply, VT_I4, VTS_I2 VTS_I2)
	DISP_FUNCTION(CoMathEx, "Divide", Divide, VT_R8, VTS_I4 VTS_I4)
	//}}AFX_DISPATCH_MAP
END_DISPATCH_MAP()

IMPLEMENT_OLECREATE(CoMathEx, "CoMathExMFC", 0x16df51a3, 0xf612, 0x11ce, 0x88, 0x3f, 0xce, 0xad, 0x16, 0x7e, 0x90, 0x25)

/////////////////////////////////////////////////////////////////////////////
// CoMathEx message handlers


long CoMathEx::Multiply(short Param1, short Param2) 
{
	return Param1 * Param2;
}

double CoMathEx::Divide(long Param1, long Param2) 
{
   if(Param2 != 0)
	   return (double)Param1 / Param2;
   else
      return 0.0;
}
