// This is a part of the Objective Grid C++ Library.
// Copyright (C) 1995 ClassWorks, Stefan Hoenig.
// All rights reserved.
//
// This source code is only intended as a supplement to
// the Objective Grid Classes Reference and related
// electronic documentation provided with the library.
// See these sources for detailed information regarding
// the Objective Grid product.
//

// scrltmdi.cpp : implementation file
//

#include "stdafx.h"
#include "gridapp.h"
#include "gridsdoc.h"
#include "scrltmdi.h"

#include "gridsvw.h"
#include "gridsvw2.h"
#include "gridsvw3.h"
#include "gridsvw4.h"
#include "gridsvw5.h"
#include "gridsvw6.h"
#include "gridsvw7.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

IMPLEMENT_DYNCREATE(CScrltabsMDIChildWnd, CMDIChildWnd)

#define new DEBUG_NEW

/////////////////////////////////////////////////////////////////////////////
// CScrltabsMDIChildWnd

CScrltabsMDIChildWnd::CScrltabsMDIChildWnd()
{
}

CScrltabsMDIChildWnd::~CScrltabsMDIChildWnd()
{
}

BOOL CScrltabsMDIChildWnd::OnCreateClient(LPCREATESTRUCT /*lpcs*/, CCreateContext* pContext)
{
	CGridSampleApp* pApp = (CGridSampleApp*) AfxGetApp();


	// specify the runtime class for the first sheet
	// don't forget to register the document template in InitInstance!
	pContext->m_pNewViewClass = RUNTIME_CLASS(CGridSampleView);

	// creates the tab window
	VERIFY(m_wndTab.Create(this, "Simple", pContext));

	// each view should associated with the same document.

	// next sheets
	m_wndTab.CreateView(RUNTIME_CLASS(CGridSample2View), "Formattings", pContext);
	m_wndTab.CreateView(RUNTIME_CLASS(CGridSample3View), "Base Styles", pContext);
	m_wndTab.CreateView(RUNTIME_CLASS(CGridSample4View), "Welcome", pContext);
	m_wndTab.CreateView(RUNTIME_CLASS(CGridSample5View), "Controls", pContext);
	m_wndTab.CreateView(RUNTIME_CLASS(CGridSample6View), "Grid Childs", pContext);
	m_wndTab.CreateView(RUNTIME_CLASS(CGridSample7View), "Headers", pContext);

	return TRUE;
}

BEGIN_MESSAGE_MAP(CScrltabsMDIChildWnd, CMDIChildWnd)
	//{{AFX_MSG_MAP(CScrltabsMDIChildWnd)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CScrltabsMDIChildWnd message handlers

