/// CoMath.h
#ifndef _COMATH_H
#define _COMATH_H
#include "IMath.h"

class CoMath : public CCmdTarget {



protected:

// IMath members
   BEGIN_INTERFACE_PART(MathObj, IMath)
     STDMETHOD(Add) (THIS_ INT, INT, LPLONG);
     STDMETHOD(Subtract) (THIS_ INT, INT, LPLONG);
   END_INTERFACE_PART(MathObj)


// IPersist members
   BEGIN_INTERFACE_PART(PersistObj, IPersist)
      STDMETHOD(GetClassID)(LPCLSID); 
   END_INTERFACE_PART(PersistObj)

   DECLARE_INTERFACE_MAP()
   DECLARE_OLECREATE(CoMath)

public:
// ctor/dtor
	CoMath(void);
	virtual ~CoMath(void);


protected:
   DECLARE_DYNCREATE(CoMath)

};

#endif
